namespace _2023._09._04;
using System;

class Program
{
    static void Main(string[] args)
    {
        Gyak4();
    }

    static void Gyak1()
    {
        int szam = 0;
        int osszeg = 0;
        int szorzat = 1;

        while (szam < 10)
        {
            if (szam % 2 == 0)
            {
                osszeg += szam;
            }

            else
            {
                szorzat *= szam;
            }
            szam++;
        }
        System.Console.WriteLine($"A páros számok összege: {osszeg}");
        System.Console.WriteLine($"A páratlan számok szorzata: {szorzat}");
    }

    static void Gyak2()
    {
        System.Console.WriteLine("Írj egy számot!");
        int szam = int.Parse(Console.ReadLine());
        int jegy = 0;

        while (szam >= 1)
        {
            szam = szam / 10;
            jegy++;
        }
        System.Console.WriteLine($"A szám jegyeinek száma: {jegy}");

    }

    static void Gyak3()
    {
        int[] tomb = { };

        for (int i = 1; i <= 20; i++)
        {
            if (i % 2 == 0)
            {
                tomb = tomb.Append(i).ToArray();
            }
        }
        foreach (int szam in tomb)
        {
            System.Console.WriteLine(szam);
        }
    }

    static void Gyak4()
    {
        System.Console.WriteLine("Mi a nemed? (f/n)");
        string nem = Console.ReadLine();

        System.Console.WriteLine("Mekkora a testtömeged? (kg)");
        int tomeg = int.Parse(Console.ReadLine());

        System.Console.WriteLine("Hány cm magas vagy?");
        double magassag = int.Parse(Console.ReadLine());

        magassag = magassag / 100;
        magassag = Math.Pow(magassag, 2);
        double testomegindex = Math.Round(tomeg / magassag, 1);
        System.Console.WriteLine(testomegindex);

        switch (nem.ToLower())
        {
            case "f":
                if (testomegindex < 18.1)
                {
                    System.Console.WriteLine("Ön kórosan sovány. Javasoljuk, hogy keresse fel kezelőorvosát, aki mérlegelni fogja, hogy szükséges-e részletes kivizsgálás annak eldöntésére, hogy áll-e komolyabb betegség a kóros soványság hátterében.");                
                }

                else if (testomegindex >= 18.1 && testomegindex < 20.1)
                {
                    System.Console.WriteLine("Ön sovány (avagy gracilis), ez leggyakrabban alkati sajátság, az átlagosnál vékonyabb csontozat és kisebb izomtömeg következménye.");
                }

                else if (testomegindex >= 20.1 && testomegindex < 25.1)
                {
                    System.Console.WriteLine("A mért érték alapján az Ön alkata normális, testsúlyfölöslege nincs. Fontos azonban tisztában lennie azzal, hogy az életkor előrehaladtával a test zsírtartalma nő, évente átlagosan 1/2 kg hízással számolhatunk. Ennek elkerülésére javasoljuk a rendszeres testmozgást és (legalább havonta) a testsúlymérést.");
                }

                else if (testomegindex >= 25.1 && testomegindex < 30.1)
                {
                    System.Console.WriteLine("Ön túlsúlyos: Lehet, hogy még egészségesnek érzi magát, azonban fokozott a kockázata a szív- és érrendszeri megbetegedések (magas vérnyomás, koszorúérbetegség, szívizominfarktus stb.), az agyi érbetegségek, az ízületi bántalmak, bizonyos rosszindulatú daganatok, valamint a csontritkulás és még számos más betegség kialakulásának.");
                }

                else if (testomegindex >= 30.1 && testomegindex < 35.1)
                {
                    System.Console.WriteLine("Ön el van hízva, fogynia kell. Az aerob sportok (úszás, kerékpározás egyértelműen javasoltak, az ízületeket túlzottan igénybevevő sportokat (pl. súlyemelés) kerülni kell.");
                }

                else
                {
                    System.Console.WriteLine("Ön súlyosan elhízott: kötelező fogyókúráznia. A fogyókúra mellett könnyű, fizikai sportokat javasolunk, szükség esetén gyógyszeres kezelés is szóba jön.");
                }
                break;

            case "n":
                if (testomegindex < 16.6)
                {
                    System.Console.WriteLine("Ön kórosan sovány. Javasoljuk, hogy keresse fel kezelőorvosát, aki mérlegelni fogja, hogy szükséges-e részletes kivizsgálás annak eldöntésére, hogy áll-e komolyabb betegség a kóros soványság hátterében.");                
                }

                else if (testomegindex >= 16.6 && testomegindex < 18.7)
                {
                    System.Console.WriteLine("Ön sovány (avagy gracilis), ez leggyakrabban alkati sajátság, az átlagosnál vékonyabb csontozat és kisebb izomtömeg következménye.");
                }

                else if (testomegindex >= 18.7 && testomegindex < 23.8)
                {
                    System.Console.WriteLine("A mért érték alapján az Ön alkata normális, testsúlyfölöslege nincs. Fontos azonban tisztában lennie azzal, hogy az életkor előrehaladtával a test zsírtartalma nő, évente átlagosan 1/2 kg hízással számolhatunk. Ennek elkerülésére javasoljuk a rendszeres testmozgást és (legalább havonta) a testsúlymérést.");
                }

                else if (testomegindex >= 23.8 && testomegindex < 28.8)
                {
                    System.Console.WriteLine("Ön túlsúlyos: Lehet, hogy még egészségesnek érzi magát, azonban fokozott a kockázata a szív- és érrendszeri megbetegedések (magas vérnyomás, koszorúérbetegség, szívizominfarktus stb.), az agyi érbetegségek, az ízületi bántalmak, bizonyos rosszindulatú daganatok, valamint a csontritkulás és még számos más betegség kialakulásának.");
                }

                else if (testomegindex >= 28.8 && testomegindex < 33.8)
                {
                    System.Console.WriteLine("Ön el van hízva, fogynia kell. Az aerob sportok (úszás, kerékpározás egyértelműen javasoltak, az ízületeket túlzottan igénybevevő sportokat (pl. súlyemelés) kerülni kell.");
                }

                else
                {
                    System.Console.WriteLine("Ön súlyosan elhízott: kötelező fogyókúráznia. A fogyókúra mellett könnyű, fizikai sportokat javasolunk, szükség esetén gyógyszeres kezelés is szóba jön.");
                }
                break;

            default:
                System.Console.WriteLine("Nem adtál meg megfelelő nemet!");
                break;
        }

    }
}
